using FWLAZ_Web.Components;
using FWLAZ_Web.Data;
using Microsoft.EntityFrameworkCore;
using Blazored.LocalStorage;
using FWLAZ_Web.Objects;

var builder = WebApplication.CreateBuilder(args);
var connectionstring = builder.Configuration.GetConnectionString("QuizDB");

// Add services to the container.
builder.Services.AddRazorComponents()
    .AddInteractiveServerComponents();
builder.Services.AddDbContextFactory<LocalDbContext>(options => options.UseSqlite(connectionstring));
builder.Services.AddBlazoredLocalStorage();
builder.Services.AddScoped<SessionState>();

var app = builder.Build();

// Configure the HTTP request pipeline.
if (!app.Environment.IsDevelopment())
{
    app.UseExceptionHandler("/Error", createScopeForErrors: true);
    // The default HSTS value is 30 days. You may want to change this for production scenarios, see https://aka.ms/aspnetcore-hsts.
    app.UseHsts();
}

app.UseHttpsRedirection();

app.UseStaticFiles();
app.UseAntiforgery();

app.MapRazorComponents<App>()
    .AddInteractiveServerRenderMode();

app.Run();
